#global_action_loader {
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 9999;
    text-align: center;
    padding-top: 40vh;
}

#global_action_loader img {
    width: 100px;
    height: 100px;
}

#global_progress_bar {
    position: fixed;
    top: 0;
    left: 0;
    height: 5px;
    background: #29d;
    /* Blue color - change to match your theme */
    z-index: 9999;
    transition: width 0.4s ease, opacity 0.4s ease;
    width: 0%;
    opacity: 0;
}

super[xrole] {
    font-size: 10px;
}

.overflowed-text {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.plan-reverse {
    flex-direction: row-reverse;
}

@media (max-width: 768px) {
    .plan-reverse {
        flex-direction: column;
        text-align: center;
    }
}

.range-slider {
    position: relative;
    height: 40px;
}

.range-slider input[type="range"] {
    position: absolute;
    width: 100%;
    pointer-events: none;
    /* prevents weird drag conflicts */
}

.range-slider input[type="range"]::-webkit-slider-thumb {
    pointer-events: auto;
}

#cookies-eu-banner {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    background: #111827;
    color: #fff;
    padding: 12px 16px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 9999;
    font-family: system-ui, sans-serif;
    font-size: 16px;
}

a#cookies-eu-more {
    color: #38bdf8;
    text-decoration: underline;
}

#cookie-actions {
    text-align: right;
}

#cookie-actions button {
    background: #38bdf8;
    border: none;
    color: #111827;
    padding: 12px 18px;
    border-radius: 6px;
    margin-left: 8px;
    cursor: pointer;
    font-weight: 600;
}

#cookie-actions button#cookies-eu-reject {
    background: transparent;
    color: #fff;
    border: 1px solid rgba(255, 255, 255, 0.3);
}

@media (max-width: 600px) {
    #cookies-eu-banner {
        flex-direction: column;
        align-items: flex-start;
    }

    #cookie-actions {
        margin-top: 8px;
    }
}

.invalid-feedback {
    margin-top: 0;
}

.profile-avatar-large {
    position: relative;
}

.profile-avatar-overlay {
    display: none;
}

.profile-avatar-large.editable {
    cursor: pointer;
}

.profile-avatar-large.editable .profile-avatar-overlay {
    display: block;
    position: absolute;
    bottom: 0px;
    right: 0;
    background-color: rgba(0, 0, 0, 0.5);
    color: #fff;
    padding: 0px 5px;
    border-radius: 50%;
}